<ng-container *ngIf="specialDesignByStatus; else standard">

  <ng-container *ngIf="status === 'READY_FOR_PICKUP'">
    <app-waypoints-point color="secondary"></app-waypoints-point>

    <div class="content content-ready">
      <div class="mb-04 date-with-time">
        <div app-header-h3>{{waypoint.date|date: 'd MMM y'}}</div>
        {{waypoint.time}}
      </div>

      <div>{{waypoint.title}}</div>
      <div>{{waypoint.city}}</div>
      <img src="../../../../../assets/dashboard/dashboard-background.svg" alt="">
    </div>
  </ng-container>

  <ng-container *ngIf="status === 'FINISHED'">
    <app-waypoints-point color="secondary"></app-waypoints-point>

    <div class="content">
      <div class="mb-04 date-with-time">
        <div app-header-h3>{{waypoint.date|date: 'd MMM y'}}</div>
        {{waypoint.time}}
      </div>

      <div>{{waypoint.title}}</div>
      <div>{{waypoint.city}}</div>
    </div>
  </ng-container>

  <ng-container *ngIf="status === 'IN_REALIZATION'">
    <app-waypoints-point color="secondary"></app-waypoints-point>

    <div class="content content-progress">
      <div class="mb-04 date-with-time">
        <div app-header-h3 color="orange-200">{{waypoint.date|date: 'd MMM y'}}</div>
        {{waypoint.time}}
      </div>

      <div class="orange-100">{{waypoint.title}}</div>
      <div>{{waypoint.city}}</div>
    </div>
  </ng-container>

  <ng-container *ngIf="status === 'COMING'">
    <app-waypoints-point color="tertiary"></app-waypoints-point>

    <div class="content">
      <div class="mb-04 date-with-time">
        <div app-header-h3>{{waypoint.date|date: 'd MMM y'}}</div>
        {{waypoint.time}}
      </div>

      <div>{{waypoint.title}}</div>
      <div>{{waypoint.city}}</div>
    </div>
  </ng-container>

</ng-container>

<ng-template #standard>
  <app-waypoints-point></app-waypoints-point>
  <div class="content">
    <div class="mb-04 date-with-time">
      <div app-header-h3>{{waypoint.date|date: 'd MMM y'}}</div>
      {{waypoint.time}}
    </div>

    <div>{{waypoint.title}}</div>
    <div>{{waypoint.city}}</div>
  </div>
</ng-template>
